## ocamlviz 1.01

=== camlp4/Makefile ===
pa_ocamlviz.cmo : pa_ocamlviz.ml 
	ocamlc -c -dtypes -I +camlp4 -I +str -pp camlp4of str.cma pa_ocamlviz.ml

test: pa_ocamlviz.cmo test.ml
	camlp4 pa_o.cmo str.cma pa_ocamlviz.cmo pr_o.cmo test.ml > test_pp.ml
	cat test.ml test_pp.ml
	ocamlc -c test_pp.ml
