=== debian/changelog ===
ocamlviz (1.01-5) unstable; urgency=medium

  * Fix FTBFS by using Bytes where necessary (Closes: #972262)
    - Remove 0003-Compile-with-unsafe-string-for-now.patch, which is
      not needed anymore
    - Add 0003-Use-Bytes-only-where-necessary.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Jan 2021 11:22:04 +0100

ocamlviz (1.01-4) unstable; urgency=medium

  * Team upload
  * Compile with -unsafe-string for now (Closes: #944601)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * libocamlviz-ocaml-doc: add Multi-Arch: foreign

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Aug 2020 09:12:38 +0200

ocamlviz (1.01-3) unstable; urgency=high

  [ Stéphane Glondu ]
  * Team upload
  * Force rebuild of all packages on buildds
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

  [ Mehdi Dogguy ]
  * Fix watch file

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 16:20:16 +0200

ocamlviz (1.01-2) unstable; urgency=low

  [ Mehdi Dogguy ]
  * The gui should depend on graphviz on runtime.

  [ Stéphane Glondu ]
  * Conditionally compile documentation in override_dh_auto_install
    (Closes: #576986)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 13 Apr 2010 20:55:41 +0200

ocamlviz (1.01-1) unstable; urgency=low

  * Initial release (Closes: #545532)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 24 Mar 2010 19:34:00 +0100
