=== debian/control ===
Source: ocamlviz
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 automake,
 ocaml-nox,
 ocaml-best-compilers,
 camlp4-extra,
 dh-ocaml,
 liblablgtk2-ocaml-dev,
 libcairo-ocaml-dev
Build-Depends-Indep:
 mlpost,
 ocamlweb,
 texlive-latex-extra
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://ocamlviz.forge.ocamlcore.org/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlviz
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlviz.git

Package: ocamlviz
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 graphviz
Recommends:
 libocamlviz-ocaml-dev
Description: real-time profiling tools for Objective Caml (clients)
 Ocamlviz gives the ability to instrument an existing code, in real
 time, with lightweight monitoring annotations. Ocamlviz can also be
 used as a debugging tool.
 .
 Here are a few possibilities provided by Ocamlviz:
  * observe details about the garbage collector
  * observe how many times the program goes through a point
  * make a set of values (any) and count its cardinal number and its
    size in the heap
  * observe how much time passed between two points of the program
  * observe the value of integers, floating-point numbers, booleans
    and strings
  * observe details about hash tables, like the number of empty
    buckets, or the filling rate
  * etc
 .
 This package provides two sorts of client output:
  * an ASCII client, the monitoring is displayed in a file
  * a Graphical User Interface, using Lablgtk2, that allows, for
    instance, displaying data in a graph

Package: libocamlviz-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ocamlviz
Recommends:
 libocamlviz-ocaml-doc
Description: real-time profiling tools for Objective Caml (library)
 Ocamlviz gives the ability to instrument an existing code, in real
 time, with lightweight monitoring annotations. Ocamlviz can also be
 used as a debugging tool.
 .
 Here are a few possibilities provided by Ocamlviz:
  * observe details about the garbage collector
  * observe how many times the program goes through a point
  * make a set of values (any) and count its cardinal number and its
    size in the heap
  * observe how much time passed between two points of the program
  * observe the value of integers, floating-point numbers, booleans
    and strings
  * observe details about hash tables, like the number of empty
    buckets, or the filling rate
  * etc
 .
 This package provides the Ocamlviz library.

Package: libocamlviz-ocaml-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: real-time profiling tools for Objective Caml (documentation)
 Ocamlviz gives the ability to instrument an existing code, in real
 time, with lightweight monitoring annotations. Ocamlviz can also be
 used as a debugging tool.
 .
 Here are a few possibilities provided by Ocamlviz:
  * observe details about the garbage collector
  * observe how many times the program goes through a point
  * make a set of values (any) and count its cardinal number and its
    size in the heap
  * observe how much time passed between two points of the program
  * observe the value of integers, floating-point numbers, booleans
    and strings
  * observe details about hash tables, like the number of empty
    buckets, or the filling rate
  * etc
 .
 This package provides the API documentation of the Ocamlviz library
 generated by ocamldoc out the source code.
