=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

OVLIBDIR=$(CURDIR)/debian/libocamlviz-ocaml-dev$(OCAML_STDLIB_DIR)/ocamlviz
OVBINDIR=$(CURDIR)/debian/ocamlviz/usr/bin
OVVER=$(shell grep ^VERSION Makefile.in | sed "s/VERSION=//")

export OCAMLINIT_SED = -e 's/@OVVER@/$(OVVER)/g'

override_dh_auto_test:

override_dh_auto_configure:
	autoreconf
	./configure --prefix=$(CURDIR)/debian/tmp/usr

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean

override_dh_auto_build:
	$(MAKE)

override_dh_auto_install:
ifneq (,$(findstring libocamlviz-ocaml-doc,$(shell dh_listpackages)))
	$(MAKE) doc/manual.pdf
	cd doc && pdflatex manual.tex
	cd doc && pdflatex manual.tex
endif
	mkdir -p $(OVBINDIR)
	mkdir -p $(OVLIBDIR)/camlp4
	$(MAKE) OCAMLLIB=$(OVLIBDIR) BINDIR=$(OVBINDIR) install
	cp debian/META $(OVLIBDIR)
	for file in monitor_sig protocol ocamlviz_threads; do \
		cp src/$${file}.cmi src/$${file}.mli $(OVLIBDIR)/; \
	done
	cp camlp4/pa_ocamlviz.ml $(OVLIBDIR)/camlp4

override_dh_compress:
	dh_compress -X.pdf

override_dh_ocaml:
	dh_ocaml --nodefined-map libocamlviz-ocaml-dev:Mutex,Condition,ThreadUnix,Thread,Event

%:
	dh $@ --with ocaml
