=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=104 \
  /frs/download\.php/.*/ocamlviz-(.*)\.tar\.gz
